String getSearchQuery(String strKeyword, int nDivision)
{
  String TheQuery1 = "";
  TheQuery1 += "SELECT ";
  TheQuery1 += "FLOOR(`deweyClass`/"+nDivision+") AS `deweyClass_div`, COUNT(*) AS `# of items` ";
  TheQuery1 += "FROM `transactions2011` ";
  TheQuery1 += "WHERE ";
  TheQuery1 += "`deweyClass` IS NOT NULL AND ";
  TheQuery1 += "  (`title` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject1` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject2` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject3` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject4` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject5` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject6` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject7` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject8` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject9` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject10` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject11` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject12` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject13` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject14` LIKE '%" + strKeyword + "%' ";
  TheQuery1 += "    OR `subject15` LIKE '%" + strKeyword + "%' ) ";
  TheQuery1 += "GROUP BY `deweyClass_div` ";
  TheQuery1 += "ORDER BY `deweyClass_div` ASC; ";
  
  println(TheQuery1);
  
  return TheQuery1;
}

String getSearchBetweenYearsQuery(String strKeyword, int YearStart, int YearEnd, int nDivision)
{
  String sql = "";

  sql+="SELECT ";
  sql+="FLOOR(`deweyClass`/"+nDivision+") AS `deweyClass_div`, COUNT(*) AS `# of items` ";
  sql+="FROM `transactions2011` ";
  sql+="WHERE ";
  sql+="  `deweyClass` IS NOT NULL AND ";
  sql+="  (`title` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject1` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject2` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject3` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject4` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject5` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject6` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject7` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject8` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject9` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject10` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject11` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject12` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject13` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject14` LIKE '%"+strKeyword+"%' ";
  sql+="    OR `subject15` LIKE '%"+strKeyword+"%' ) AND";
  sql+="  YEAR(`ckoutDateTime`) BETWEEN "+YearStart+" AND "+YearEnd+" ";
  sql+="GROUP BY `deweyClass_div` ";
  sql+="ORDER BY `deweyClass_div` ASC";
  
  println(sql);
  
  return sql;
}

